Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158088 - xfig crash: buffer overflow detected
Summary: xfig crash: buffer overflow detected
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfig
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
: 158261 (view as bug list)
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-18 15:30 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 14:20:57 UTC


Attachments (Terms of Use)
xfig traceback output, copy&paste from a gnome-terminal (deleted)
2005-05-18 15:30 UTC, Horst H. von Brand
no flags Details
New xfig backtrace (deleted)
2005-05-18 15:40 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2005-05-18 15:30:41 UTC
Description of problem:
xfig crashed today. I had two figures open, one contained just text. I got into
"rectangle" and tried to set the fill color when xfig crashed.

Version-Release number of selected component (if applicable):
xfig-3.2.4-10

How reproducible:
Happened once...

Steps to Reproduce:
1.Had a file open, opened a new figure. Added text, moved it around.
2.Opened object editor on text, closed it again without doing anything
3.Went for rectangle object, was about to set fill color
  
Actual results:
Crash

Expected results:
Continue editing...

Additional info:

Comment 1 Horst H. von Brand 2005-05-18 15:30:41 UTC
Created attachment 114513 [details]
xfig traceback output, copy&paste from a gnome-terminal

Comment 2 Horst H. von Brand 2005-05-18 15:34:44 UTC
BTW, I was using LANG=en_US.ISO88591 to work around UTF-8 input bug (see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158082)

Comment 3 Horst H. von Brand 2005-05-18 15:40:43 UTC
Created attachment 114514 [details]
New xfig backtrace

Seems more complete than the first one, which looks unfinished to my untrained
eye.

Comment 4 Horst H. von Brand 2005-05-18 17:38:22 UTC
Just opening a xfig and touching "pen color" or "fill color" for rectangle
crashes it.

Comment 5 Ngo Than 2005-05-19 14:20:57 UTC
It's now fixed in xfig-3.2.4-11, which will be available in rawhide soon. Many
thanks for your report.

Comment 6 Ngo Than 2005-05-20 12:21:31 UTC
*** Bug 158261 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.